package GeneTable;

use strict;
use warnings;


# Name: new
# Description: creates a new GeneTable object
# Returns: a new GeneTable object
sub new {
    my ($class, @arguments) = @_;
    
    # keys are gene IDs
    # values are references to hash of tissue and expression
    my $self = {
               };

    bless $self, $class;
}

# Arguments: gene id, tissue, expression in that order
# - all arguments are required or it will be an error
sub addGene {
    my ($self, $geneID, $tissue, $expression) = @_;
    
    my $hashref = { 'tissue' => $tissue,
                    'expression' => $expression,
                  };
    $self->{$geneID} = $hashref;
}

# retrieve data for a given geneID from the GeneTable object
sub get_gene_data {
    my ($self, $geneID) = @_;
    
    my $dataref = $self->{$geneID};
    return $dataref;
}

1;